# -*- RPM-SPEC -*-

%ifarch %{ix86}
%define eclipse_arch    x86
%define java_arch	i386
%endif
%ifarch alpha
%define eclipse_arch	alpha
%define java_arch	alpha
%endif
%ifarch ia64
%define eclipse_arch	ia64
%define java_arch	ia64
%endif
%ifarch ppc64
%define eclipse_arch	ppc64
%define java_arch	ppc
%endif
%ifarch sparc64
%define eclipse_arch	sparc64
%define java_arch	sparc
%endif
%ifarch x86_64
%define eclipse_arch	amd64
%define java_arch	amd64
%endif

%define eclipse_base    /usr/share/eclipse

Summary: RPM plugin for Eclipse
Name: eclipse-rpm
Version: 1.1.0
Release: 3
Copyright: Common Public License Version 0.5 <http://www.eclipse.org/legal/cpl-v05.html>
Group: Development/Tools
Source: eclipse-rpm.tar.gz
URL: http://www.eclipse.org
Requires: eclipse-ui
BuildRequires: jpackage-utils >= 0:1.5
BuildRequires: gtk2-devel
BuildRequires: glib2-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: desktop-file-utils
BuildRequires: eclipse-platform
BuildRequires: eclipse-jdt
BuildRequires: eclipse-pde
BuildRequires: libswt3-gtk2
BuildRequires: eclipse-gtk2

BuildRoot: %{_tmppath}/%{name}-buildroot
ExclusiveArch: i386 ppc ia64

%description
The eclipse-rpm package contains an Eclipse plugin for building RPMs.

%prep
%setup -q -c 

%build
export JAVA_HOME=%{java_home}
export PATH=%{java_bin}:/usr/bin:$PATH

# See comments in the script to understand this.
/bin/sh -x %{eclipse_base}/buildscripts/copy-platform SDK %{eclipse_base}
SDK=$(cd SDK && pwd)

mkdir home
homedir=$(cd home > /dev/null && pwd)

cd com.redhat.eclipse.rpm.releng

java -cp $SDK/startup.jar \
    -Duser.home=$homedir \
     org.eclipse.core.launcher.Main \
    -application org.eclipse.ant.core.antRunner \
    -DjavacFailOnError=true \
    -DdontUnzip=true \
    -DbaseLocation=$SDK \
    -Dpde.build.scripts=$SDK/plugins/org.eclipse.pde.build_3.0.0/scripts \
    -DdontFetchAnything=true

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{eclipse_base}

for file in $(pwd)/com.redhat.eclipse.rpm.releng/results/I.*/*.zip; do
  case $file in
    *eclipse-rpm*)
      # The ".." is needed since the zip files contain "eclipse/foo".
      (cd $RPM_BUILD_ROOT/%{eclipse_base}/.. && unzip -qq -o $file)
      ;;
  esac
done

%clean 
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{eclipse_base}/features/com.redhat.eclipse.rpm*
%{eclipse_base}/plugins/com.redhat.eclipse.rpm*

%changelog
* Fri Jul 23 2004 Jeremy Handcock <handcock@redhat.com> 1.1.0-3
- Require eclipse-ui, not eclipse-platform

* Fri Jul 23 2004 Rick Moseley  <rmoseley@redhat.com> 1.1.0-2
- Set user.home (beehive fix)

* Thu Jul 22 2004 Jeremy Handcock <handcock@redhat.com> 1.1.0-1
- Remove old Requires eclipse
- Don't build on x86_64 and ppc64

* Wed Jul 14 2004 Rick Moseley <rmoseley@redhat.com> 1.1
- Changes for Eclipse 3.0 build system

* Mon Jan 19 2004 Tom Tromey <tromey@redhat.com> 1.0.0-1
- Initial version
